- Démarrage
- Authentification
- Étendues et autorisations
- API de gestion de plate-forme
Guide de l'API Test Cloud
Resolves multiple directory entities by their names in a single request, based on the organization ID. All entities in the request must be of the same type.
Point de terminaison de l’API
POST {accessURL}/{organizationName}/identity_/api/Directory/BulkResolveByName/{partitionGlobalId}
Remplacez {accessURL} dans tous les chemins de point de terminaison par l'URL de base de votre plate-forme cloud :
| Cloud Platform | URL d'accès |
|---|---|
| Test Cloud | https://cloud.uipath.com/ |
| Test Cloud Secteur Public | https://govcloud.uipath.us/ |
| Test Cloud dédié | https://{customURL}.dedicated.uipath.com/ |
Étendues
Nécessite les étendues suivantes :
- PM.Directory
En-têtes de requête.
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Pour obtenir le {access_token}, assurez-vous de vous authentifier via l'une des méthodes décrites ici.
Paramètres de chemin d'accès
| Paramètre du chemin d'accès | Type de données | Description |
|---|---|---|
partitionGlobalId (requis) | String (GUID) | The ID of the organization to resolve the entities within. |
Corps de la requête
The request body specifies the entity names to resolve. Unlike BulkResolve, all entities must be of the same type.
{
"entityNames": [
"john.doe@example.com",
"jane.smith@example.com"
],
"entityType": "User",
"scope": null
}
{
"entityNames": [
"john.doe@example.com",
"jane.smith@example.com"
],
"entityType": "User",
"scope": null
}
| Propriété | Type de données | Description |
|---|---|---|
entityNames (requis) | Array of strings | The names of the directory entities to resolve (e.g., email addresses for users, group names for groups). |
entityType (requis) | Chaîne de caractères (string) | The type of all entities in the request. Valid values: User, Group, Application. |
scope (facultatif) | Chaîne de caractères (string) | Optional scope for active directory entities. |
Réponses
200 OK
Returns a dictionary mapping each entity name to its resolved directory entity. Entities that could not be resolved are returned as null.
{
"john.doe@example.com": {
"objectType": "DirectoryUser",
"source": "aad",
"identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "john.doe@example.com",
"email": "john.doe@example.com",
"displayName": "John Doe",
"firstName": "John",
"lastName": "Doe"
},
"jane.smith@example.com": null
}
{
"john.doe@example.com": {
"objectType": "DirectoryUser",
"source": "aad",
"identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "john.doe@example.com",
"email": "john.doe@example.com",
"displayName": "John Doe",
"firstName": "John",
"lastName": "Doe"
},
"jane.smith@example.com": null
}
400 Requête incorrecte
Returned when required parameters are missing or invalid.
Exemple de requête
Supposons que vous ayez rassemblé toutes les informations nécessaires pour créer l'appel d'API.
- Votre
{baseURL}est : https://cloud.uipath.com/{organizationName}/identity_ - Votre
{access_token}est :1234(pour des considérations de longueur). - Le
{partitionGlobalId}est :3fa85f64-5717-4562-b3fc-2c963f66afa6 - You want to resolve two users by their email addresses.
L’appel doit ressembler à l’exemple suivant (cURL) :
curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/BulkResolveByName/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
"entityNames": [
"john.doe@example.com",
"jane.smith@example.com"
],
"entityType": "User"
}'
curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/BulkResolveByName/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
"entityNames": [
"john.doe@example.com",
"jane.smith@example.com"
],
"entityType": "User"
}'
Voici la réponse pour un appel réussi :
{
"john.doe@example.com": {
"objectType": "DirectoryUser",
"source": "aad",
"identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "john.doe@example.com",
"email": "john.doe@example.com",
"displayName": "John Doe",
"firstName": "John",
"lastName": "Doe"
},
"jane.smith@example.com": null
}
{
"john.doe@example.com": {
"objectType": "DirectoryUser",
"source": "aad",
"identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "john.doe@example.com",
"email": "john.doe@example.com",
"displayName": "John Doe",
"firstName": "John",
"lastName": "Doe"
},
"jane.smith@example.com": null
}